<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Colegiaturas
 *
 * @ORM\Table(name="colegiaturas", indexes={@ORM\Index(name="estatus", columns={"estatus"})})
 * @ORM\Entity
 */
class Colegiaturas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_col", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCol;

    /**
     * @var integer
     *
     * @ORM\Column(name="ide_lic", type="integer", nullable=false)
     */
    private $ideLic;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_col", type="string", length=50, nullable=false)
     */
    private $cveCol;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_col", type="string", length=255, nullable=false)
     */
    private $nomCol;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estatus", referencedColumnName="ide_est")
     * })
     */
    private $estatus;



    /**
     * Get ideCol
     *
     * @return integer
     */
    public function getIdeCol()
    {
        return $this->ideCol;
    }

    /**
     * Set ideLic
     *
     * @param integer $ideLic
     *
     * @return Colegiaturas
     */
    public function setIdeLic($ideLic)
    {
        $this->ideLic = $ideLic;

        return $this;
    }

    /**
     * Get ideLic
     *
     * @return integer
     */
    public function getIdeLic()
    {
        return $this->ideLic;
    }

    /**
     * Set cveCol
     *
     * @param string $cveCol
     *
     * @return Colegiaturas
     */
    public function setCveCol($cveCol)
    {
        $this->cveCol = $cveCol;

        return $this;
    }

    /**
     * Get cveCol
     *
     * @return string
     */
    public function getCveCol()
    {
        return $this->cveCol;
    }

    /**
     * Set nomCol
     *
     * @param string $nomCol
     *
     * @return Colegiaturas
     */
    public function setNomCol($nomCol)
    {
        $this->nomCol = $nomCol;

        return $this;
    }

    /**
     * Get nomCol
     *
     * @return string
     */
    public function getNomCol()
    {
        return $this->nomCol;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return Colegiaturas
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;

        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Colegiaturas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Colegiaturas
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;

        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param \CmBundle\Entity\Estatus $estatus
     *
     * @return Colegiaturas
     */
    public function setEstatus(\CmBundle\Entity\Estatus $estatus = null)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get estatus
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getEstatus()
    {
        return $this->estatus;
    }
}
